Update a user position
curl --request PUT \
--url https://api.projectcor.com/v1/userPosition/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"rate": 123,
"seniority": "<string>",
"segmentLabel": "<string>"
}
'import requests
url = "https://api.projectcor.com/v1/userPosition/{id}"
payload = {
"name": "<string>",
"rate": 123,
"seniority": "<string>",
"segmentLabel": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', rate: 123, seniority: '<string>', segmentLabel: '<string>'})
};
fetch('https://api.projectcor.com/v1/userPosition/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/userPosition/{id}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', rate: 123, seniority: '<string>', segmentLabel: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/userPosition/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'rate' => 123,
'seniority' => '<string>',
'segmentLabel' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/userPosition/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"rate\": 123,\n \"seniority\": \"<string>\",\n \"segmentLabel\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 123,
"name": "<string>",
"user_position_category_id": 123,
"type": "C",
"rate": 123,
"seniority": "<string>",
"company_id": 123
}User Positions
Update a user position
Updates an existing user position.
If company has the feature flag to manage positions by labels enabled, field segmentLabel is required and will be used to group the position by label.
All fields in the request body are optional. Only provided fields will be updated.
PUT
/
userPosition
/
{id}
Update a user position
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
User position ID
Body
application/json
Position name. Must be unique within the company and pass validation rules if provided.
Base rate for the position
Seniority level of the position
Segment label used to group positions. Required only if company has feature flag to manage positions by labels enabled. Ignored if feature flag is not enabled.
Was this page helpful?

